Subject: Re: [PATCH v5 1/2] add-patch: do not show UI messages on stderr

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Apr 2024 10:17:56 -0700

Rubén Justo <[email-masked]> writes:

>> Indeed. I had to read this several times to wonder why it was not a
>> mistake to leave the first fputs() but use vprintf() and puts() for the
>> other two (for those just reading, the answer is that puts() prints an
>> extra newline, so we can only use it at the end).
>
> I did not know the details (or had happily forgotten them) but Junio
> ignoring my comments in [1] intrigued me :-).  A simple test would have
> been quick, but "man puts" was quicker;  my comments were not correct.

I thought you were suggesting to fold fputs()+putchar('\n') into
puts(), which is a change that does not break.  I didn't even know
that you were suggesting to make more changes that would break the
output.  After all, you said only "can be less explicit" without
saying which use of "stdout" you meant to make "less explicit" ;-).